package com.yiring.app.service.dict;


import com.yiring.app.param.dict.DictParam;
import com.yiring.app.param.dict.DictQueryParam;
import com.yiring.app.param.dict.DictTypeParam;
import com.yiring.app.param.dict.DictTypeQueryParam;
import com.yiring.common.core.Result;
import com.yiring.common.dict.Dict;
import com.yiring.common.dict.DictType;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

import java.util.ArrayList;

/**
 * @author tzl
 * 2022/4/14 14:10
 */
public interface DictTypeService {

    /**
     * 根据条件分页查询字典类型
     *
     * @param dictTypeQueryParam DictTypeQueryParam
     * @return 字典类型分页信息
     */
    Result<PageVo<DictType>> pageDictTypeInfo(DictTypeQueryParam dictTypeQueryParam, PageParam param);


    Result<DictType> getDictTypeInfo(Long id);

    Result<String> delecteById(Long id);

    Result<String> saveDictTypeInfo(DictTypeParam dictTypeParam);

    Result<String> updateDictTypeInfo(DictTypeParam dictTypeParam,IdParam idParam);

    boolean has(String param);

}
